igeo.io

## Class IRhino3dm.ChunkTable

- java.lang.Object
- - igeo.io.IRhino3dm.Chunk
  - - igeo.io.IRhino3dm.ChunkTable

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.ChunkTable
      extends IRhino3dm.Chunk

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `bodyPointer`
    `long` | `byteLength`
    `java.util.ArrayList<IRhino3dm.Chunk>` | `chunks`
    `int` | `endTCode`
    `boolean` | `serialized`

    - ### Fields inherited from class igeo.io.IRhino3dm.Chunk

      `body, content, contents, crc, header`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkTable(int tcode)`
    `ChunkTable(int tcode, int endTCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(IRhino3dm.Chunk c)`
    `long` | `getByteLength()`
    `void` | `serialize()`
    `void` | `writeTableEnd(IRandomAccessOutputStream ros)`
    `void` | `writeTableEntry(IRandomAccessOutputStream ros, IRhino3dm.Chunk c)`
    `void` | `writeTableHeader(IRandomAccessOutputStream ros)`

    - ### Methods inherited from class igeo.io.IRhino3dm.Chunk

      `clear, contentLength, doCRC, getBody, getContent, getContents, getCRC, getHeader, isEndOfTable, isShort, setContentLength, setCRC, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### chunks

          public java.util.ArrayList<IRhino3dm.Chunk> chunks

    - #### endTCode

          public int endTCode

    - #### serialized

          public boolean serialized

    - #### bodyPointer

          public long bodyPointer

    - #### byteLength

          public long byteLength

  - ### Constructor Detail

    - #### ChunkTable

          public ChunkTable(int tcode,
                            int endTCode)

    - #### ChunkTable

          public ChunkTable(int tcode)

  - ### Method Detail

    - #### add

          public void add(IRhino3dm.Chunk c)

    - #### serialize

          public void serialize()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeTableHeader

          public void writeTableHeader(IRandomAccessOutputStream ros)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeTableEntry

          public void writeTableEntry(IRandomAccessOutputStream ros,
                                      IRhino3dm.Chunk c)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeTableEnd

          public void writeTableEnd(IRandomAccessOutputStream ros)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getByteLength

          public long getByteLength()